      subroutine hec_card_print
c
c print messages concerning the datacards selected
c preliminary version ML 29/04/98
c
      implicit none
c
      include'hec_par.inc'      !shared parameters
      include'hec_datacard.inc' !user datacard values
c
c do not print messages for online mode
c
      if (run_mode .eq. 2) return
c
      print *, ' '
c
c pedestal package
c 
      print *, ' *** pedestal package:'
      if (mk_ped .le. 0) then
        write(*, '(6x,a)') 'no pedestal computation requested'
        if (io_ped(1) .gt. 0) write(*, '(6x,a,i2)')
     +  'pedestals over all events to be read from file on unit ', 
     +  io_ped(2)
      else
        if (mk_ped .eq. 1 .or. mk_ped .ge. 3) write(*, '(6x,a)') 
     +  'pedestals will be computed for each event'
        if (mk_ped .ge. 2) write(*, '(6x,a)')
     +  'pedestals will be computed over all events'
        if (io_ped(1) .gt. 0) then
          write(*, '(6x,a)')
     +      'pedestals over all events will be read from file'
          if (pr_ped .ne. 0) write(*, '(9x,a)') 
     +      'pedestals will be printed'
        endif
        if (mk_ped .ge. 2 .and. io_ped(1) .gt. 0) then
          write(*, '(9x,a)') 'no point to read AND produce pedestals!'
          write(*, '(9x,a)') 'read pedestals overwritten by produced!'
        endif
        if (mk_ped .eq. 3) then
          write(*, '(6x,a)') 'pedestals for each event are preferred'
        elseif (mk_ped .eq. 4) then
          write(*, '(6x,a)') 'pedestals over all events are preferred'
        endif
        write(*, '(6x,a,i2,a,i2)') 'uses time slices', 
     +  nt_ped(1), ' through ', nt_ped(2)
        if (mk_ped .ge. 2) then
          write(*, '(6x,a)') 'for pedestals over all events:'
          if (sc_ped .le. 0.) then
            write(*, '(9x,a)') 'no sigma cut'
          else
            write(*, '(9x,a,f4.1,a)')
     +      'sigma cut of ', sc_ped, ' adc'
          endif
          if (tr_ped .le. 0) then
            write(*, '(9x,a)') 'all triggers used'
          elseif (tr_ped .eq. 1) then
            write(*, '(9x,a)') 'only random triggers used'
          elseif (tr_ped .eq. 2) then
            write(*, '(9x,a)') 'only pretriggers used'
          endif
          if (io_ped(3) .gt. 0) write(*, '(9x,a,i2)')
     +    'will be written out to file on unit ', io_ped(4)
          if (pr_ped .ne. 0) write(*, '(9x,a)') 
     +      'pedestals will be printed'
        endif
      endif
c
c cubic fit package
c
      print *, ' *** cubic fit package:'
      if (mk_cub .gt. 0) then
        write(*, '(6x,a)') 'cubic fit package requested'
        if (sc_cub .ge. 0.) then
          write(*, '(6x,a,f4.1,a)')
     +    'if the fit maximum in a cell is less than ', sc_cub, 
     +    ' pedestal sigma,'
          write(*, '(9x,a,i2)')
     +    'set fit max to time slice ', tm_cub
        endif
        if (fl_cub .gt. 0) then
          write(*, '(6x,a,i2,a,i2)') 
     +    'peak searching window requested from time slices ', t1_cub,
     +    ' through ', t2_cub
        else
          write(*, '(6x,a)')
     +    'no constraint on peak searching window'
        endif
      else
        write(*, '(6x,a)') 'cubic fit package not requested'
      endif
c
c digital filtering package
c
      print *, ' *** digital filtering package:'
      if (mk_dig .gt. 0) then
        write(*, '(6x,a)') 'digital filtering package requested'
        if (mk_dig .eq. 1) then
          write(*, '(6x,a)') 't0''s WILL NOT be used'
        else
          write(*, '(6x,a)') 't0''s will be used'  
        endif
        if (t0_dig .gt. 0) then
          write(*, '(6x,a)') 
     +      'first time slice number used will be forced to ', t0_dig
        endif
        if (pr_dig .gt. 0) write(*, '(6x,a)')
     +    'weight parameters and t0''s will be printed'
      else
        write(*, '(6x,a)') 'digital filtering package not requested'
      endif
c
c preferred max finding method
c
      if (m_pref .ge. 1 .and. m_pref .le. 4) then
        print *, ' *** the generic signal max common will be filled'
        if (m_pref .eq. 1) then
          write(*, '(6x,a)') 'with cubic fit signal max'
        else
          write(*, '(6x,a)') 'with digital filtering signal max'
          if (m_pref .eq. 3) then
            write(*, '(9x,a)') 
     +        'for cells with bad weights use signal in time slice ',
     +        'dig_slice_1 + 3'
          elseif (m_pref .eq. 4) then
            write(*, '(9x,a)') 
     +        'for cells with bad weights use signal given by ',
     +        'cubic fit'
          endif
          if (mk_dig .le. 0) then
            print *, ' *** WARNING: digital filtering not requested!!'
          endif
        endif
      endif
      if ((m_pref .eq. 1 .or. m_pref .eq. 4) .and. mk_cub .le. 0) then
        print *, ' *** WARNING: cubic fit not requested!!'
      endif
c
c correlation package
c
      if (mk_crl .gt. 0) then
        print *, ' *** correlation package requested'
      else
        print *, ' *** correlation package not requested'
      endif
c
c beam chamber package
c
      if (mk_beam .gt. 0) then
        print *, ' *** beam reconstruction package requested'
      else
        print *, ' *** beam reconstruction package not requested'
      endif
c
c calibration package
c
      if (io_cal(1) .gt. 0) then
        print *, ' *** calibration package requested'
      else
        print *, ' *** calibration package not requested'
      endif
c
c signal search package
c
      if (hec_s_dk .ge. 0) then
        print *,
     +    ' *** signal search package requested with algorithm ', 
     +    hec_s_dk
      else
        print *, ' *** signal search package not requested'
      endif
c
c ntuple package
c
      if (mk_ntp .gt. 0) then
        print *, ' *** ntuple package requested'
        if (random_ntp .eq.0 ) then
           if (irunpd .ge. 12) then
              print*, '     software random trigger events in ntupla'
              print*, '     but NOT RELIABLE for this run period !!!' 
              print*, '     please check your datacard' 
           endif
        else if (random_ntp .eq. 1) then
           print *, '     software random trigger events NOT in ntuple'
           if (irunpd.lt.12)then
              print *,'     *** SURE YOU KNOW WHAT YOU ARE DOING?' 
           endif
        else if (random_ntp .eq. 2) then
           print *, '     hardware random trigger events NOT in ntuple'
            print *,'     *** SURE YOU KNOW WHAT YOU ARE DOING?'
        endif
      else
        print *, ' *** ntuple package not requested'
      endif
c
c system histogram package
c
      if (mk_his .gt. 0) then
        print *, ' *** system histogram package requested'
      else
        print *, ' *** system histogram package not requested'
      endif
c
      print *, ' '
c
c summary of package switches
c
      end
      

      

